-- 基础信息
base_info = {
	group_id = 111101191
}

-- Trigger变量
defs = {
	region_Enter = 191004,
	region_Leave = 191006,
	gallery_id = 12001
}

-- DEFS_MISCS
local Pursina = {
	{191001,191008},
	{191002,191009},
	{191003,191007},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
	{ config_id = 191010, monster_id = 24010303, pos = { x = 2899.817, y = 269.880, z = -1295.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, drop_tag = "遗迹重机", pose_id = 100 }
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 1号挖掘机
	{ config_id = 191001, gadget_id = 70800044, pos = { x = 2892.458, y = 269.876, z = -1303.937 }, rot = { x = 0.000, y = 79.262, z = 0.000 }, level = 1 },
	-- 2号挖掘机
	{ config_id = 191002, gadget_id = 70800044, pos = { x = 2895.079, y = 269.874, z = -1314.059 }, rot = { x = 0.000, y = 24.087, z = 0.000 }, level = 1 },
	-- 3号挖掘机
	{ config_id = 191003, gadget_id = 70800044, pos = { x = 2904.169, y = 269.883, z = -1306.572 }, rot = { x = 0.000, y = 236.665, z = 0.000 }, level = 1 },
	-- 开启挑战的操作台
	{ config_id = 191005, gadget_id = 70350082, pos = { x = 2900.476, y = 269.882, z = -1303.164 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	-- 3号挖掘机-对应血量物件
	{ config_id = 191007, gadget_id = 70800047, pos = { x = 2904.171, y = 269.883, z = -1306.573 }, rot = { x = 0.000, y = 236.665, z = 0.000 }, level = 1 },
	-- 1号挖掘机-对应血量物件
	{ config_id = 191008, gadget_id = 70800047, pos = { x = 2892.459, y = 269.876, z = -1303.937 }, rot = { x = 0.000, y = 79.262, z = 0.000 }, level = 1 },
	-- 2号挖掘机-对应血量物件
	{ config_id = 191009, gadget_id = 70800047, pos = { x = 2895.074, y = 269.874, z = -1314.055 }, rot = { x = 0.000, y = 24.087, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	{ config_id = 191004, shape = RegionShape.SPHERE, radius = 20, pos = { x = 2899.000, y = 269.879, z = -1308.059 } },
	{ config_id = 191006, shape = RegionShape.SPHERE, radius = 25, pos = { x = 2897.775, y = 269.879, z = -1308.059 } }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { 191010 },
		gadgets = { 191001, 191002, 191003, 191005 },
		regions = { 191004, 191006 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/Dig"
